Monitoring, Management & Location Tracking

SVN error post upgrade to Airwave 8.2.2.1

Aruba Employee
Q:

After upgrading to Airwave 8.2.2.1, we see the below messages on the prompt, every time we hit enter or try to go to any other directory in CLI, as shown below:

[root@localhost mercury]#


svn: E155007: '/root/svn/mercury' is not a working copy
bash: [: !=: unary operator expected
[root@localhost mercury]#
svn: E155007: '/root/svn/mercury' is not a working copy
bash: [: !=: unary operator expected
[root@localhost mercury]#
svn: E155007: '/root/svn/mercury' is not a working copy
bash: [: !=: unary operator expected
[root@localhost mercury]# cd /tmp
svn: E155007: '/root/svn/mercury' is not a working copy
[root@localhost tmp]#

 

 

 



A:

Starting from Version 8.2.2.1, Airwave will not use svn, instead of that we moved to git.

Therefore we will see this message, right after the upgrade:

svn: E155007: '/root/svn/mercury' is not a working copy
bash: [: !=: unary operator expected

 

To get rid of these message, all we need to do is, close the ssh session and open a new one.

Since the svn is changed to git now, post the upgrade, instead of running the command # svn info to check the version sanity, we could run the below command:

# git show

this will show the below output to make sure, we are on the correct version:

commit 31c155cc5d863797d89875b03c2da5768a313bea
Author: aaron feakins <aaron@arubanetworks.com>
Date:   Thu Oct 6 21:47:55 2016 -0700

    Build tag: RELEASE_8_2_2_1 Version: 8.2.2.1 3e208d5f8ac45ed837ea23a32b526ed269146ea2

 

 

Version history
Revision #:
4 of 4
Last update:
‎10-12-2016 02:06 PM
Updated by:
 
Labels (1)
Contributors
Search Airheads
cancel
Showing results for 
Search instead for 
Did you mean: 
Is this a frequent problem?

Request an official Aruba knowledge base article to be written by our experts.